Bug 53053 - some problems with /etc/rc.d/init.d/keytable
some problems with /etc/rc.d/init.d/keytable
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: console-tools (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-02 15:25 EDT by Jonathan Kamens
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 10:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
make /etc/rc.d/init.d/keytable work better (913 bytes, patch)
2001-09-02 15:25 EDT, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2001-09-02 15:25:11 EDT
There are several problems with the start() code in
/etc/rc.d/init./keytable:

* It causes stuff like this to show up in boot.log:

  Sep  1 22:11:06 jik keytable: Loading keymap: 
  Sep  1 22:11:07 jik keytable: ^[[60G
  Sep  1 22:11:07 jik keytable: 
  Sep  1 22:11:07 jik keytable: Loading system font: 
  Sep  1 22:11:07 jik keytable: ^[[60G
  Sep  1 22:11:07 jik keytable: 
  Sep  1 22:11:07 jik rc: Starting keytable:  succeeded

  Yuck.

* If /etc/sysconfig/keyboard doesn't exist or doesn't set KEYTABLE, it'll
print "Loading keymap:" without printing success or failure after it.

* If /etc/sysconfig/keyboard doesn't exist or doesn't set KEYTABLE, it'll
try to use RETVAL when it hasn't been set, thus probably causing an error
from "test".

I will attach a patch which fixes all of these problems.
Comment 1 Jonathan Kamens 2001-09-02 15:25:33 EDT
Created attachment 30612 [details]
make /etc/rc.d/init.d/keytable work better
Comment 2 Bernhard Rosenkraenzer 2001-09-05 11:56:41 EDT
Thanks, fixed in -35

Note You need to log in before you can comment on or make changes to this bug.